de.esprit.netsuite.eclient

## Class ClientCLP

- java.lang.Object
- - de.esprit.common.clp.CommandLineParser
  - - de.esprit.appsuite.launch.ApplicationCommandLineParser
    - - de.esprit.netsuite.eclient.ClientCLP

-     public class ClientCLP
      extends ApplicationCommandLineParser

  This is the default command line parser for a client of the multi-channel server
  Author:
    Rainer Buesch

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `ClientCLP.OptionAutoLogin`
    `protected static class` | `ClientCLP.OptionAutoReconnect`
    `protected static class` | `ClientCLP.OptionNetIo`
    `protected static class` | `ClientCLP.OptionNoMessage`
    `protected static class` | `ClientCLP.OptionPassword`
    `protected static class` | `ClientCLP.OptionPingDelay`
    `protected static class` | `ClientCLP.OptionRequestTimeout`
    `protected static class` | `ClientCLP.OptionUser`
    `protected static class` | `ClientCLP.OptionZipTransfer`

  - ### Field Summary

    - ### Fields inherited from class de.esprit.appsuite.launch.ApplicationCommandLineParser

      `optApplicationName, optPrintVersion`

    - ### Fields inherited from class de.esprit.common.clp.CommandLineParser

      `optDebug, optDemo, optHelp, optLocale, optLogDir, optNoConsole, optTest, optVerbose`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientCLP(java.lang.Class mainClass, java.lang.String... args)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `checkDependencies()` Is called after all options have been parsed.
    `protected ClientConfig` | `createConfig()` May be overridden to return a specific `ApplicationConfig` derivation which contains all data extracted from the command line.
    `NetIoType` | `getNetIoType()`
    `java.lang.String` | `getPassword()`
    `int` | `getPingDelay()`
    `int` | `getRequestTimeout()`
    `ServerHost` | `getServerHost()`
    `java.lang.String` | `getUserName()`
    `java.io.File` | `getWorkspaceDir()`
    `boolean` | `isAutoLogin()`
    `boolean` | `isAutoReconnect()`
    `boolean` | `isTransferZipped()`
    `void` | `setWorkspaceDirEnvVariableName(java.lang.String envVarName)` Defines the name of the env-variable which is looked up to find out the default workspace directory.

    - ### Methods inherited from class de.esprit.appsuite.launch.ApplicationCommandLineParser

      `getApplicationName, getConfig, isPrintVersionOnly, setDefaultApplicationName`

    - ### Methods inherited from class de.esprit.common.clp.CommandLineParser

      `addOption, addOptionBoolean, addOptionOutFile, createHelpText, createHelpText, createOptionList, createSyntaxLine, ensureParsed, fetchDefinedOptionFor, findDefinedOptionFor, getArgument, getArgumentCount, getArguments, getLogDir, getMainClass, getStartLogLevel, hasArguments, isDebug, isDemoMode, isExitOnError, isParsed, isSuppressConsoleLogging, isTestMode, isVerbose, parse, removeOption, removeOption, setExitOnError`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientCLP

          public ClientCLP(java.lang.Class mainClass,
                   java.lang.String... args)

  - ### Method Detail

    - #### setWorkspaceDirEnvVariableName

          public void setWorkspaceDirEnvVariableName(java.lang.String envVarName)

      Defines the name of the env-variable which is looked up to find out the default workspace directory.
      See Also:
        `CommandLineOption.setEnvVariableName(String)`

    - #### getWorkspaceDir

          public java.io.File getWorkspaceDir()

    - #### checkDependencies

          protected void checkDependencies()
                                    throws java.lang.Exception

      Description copied from class: `CommandLineParser`
      Is called after all options have been parsed. Maybe overridden to implement any inter-option dependency checking.
      Overrides:
        `checkDependencies` in class `CommandLineParser`
      Throws:
        `java.lang.Exception`

    - #### createConfig

          protected ClientConfig createConfig()
                                       throws java.lang.Exception

      Description copied from class: `ApplicationCommandLineParser`
      May be overridden to return a specific `ApplicationConfig` derivation which contains all data extracted from the command line.
      Overrides:
        `createConfig` in class `ApplicationCommandLineParser`
      Throws:
        `java.lang.Exception`

    - #### getServerHost

          public ServerHost getServerHost()

    - #### getUserName

          public java.lang.String getUserName()

    - #### getPassword

          public java.lang.String getPassword()

    - #### isAutoLogin

          public boolean isAutoLogin()

    - #### isAutoReconnect

          public boolean isAutoReconnect()

    - #### isTransferZipped

          public boolean isTransferZipped()

    - #### getPingDelay

          public int getPingDelay()

    - #### getRequestTimeout

          public int getRequestTimeout()

    - #### getNetIoType

          public NetIoType getNetIoType()

Copyright © 2011 EsprIT-Systems. All Rights Reserved.